%define upstream_name	 CGI-Application
%define upstream_version 4.50

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Framework for building reusable web-applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::ISA)
BuildRequires: perl(HTML::Template)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
%{upstream_name} is intended to make it easier to create sophisticated,
reusable web-based applications. This module implements a methodology
which, if followed, will make your web software easier to design,
easier to document, easier to write, and easier to evolve.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 755 Examples/Mailform/mailform.cgi

%build
 %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ARTISTIC Changes Examples GPL META.json META.yml README
%{perl_vendorlib}/CGI
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 4.500.0-2.mga3
+ Revision: 363447
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 17 2011 jquelin <jquelin> 4.500.0-1.mga2
+ Revision: 109121
- update to 4.50

* Wed Jan 19 2011 jquelin <jquelin> 4.310.0-1.mga1
+ Revision: 24551
- fix specs
- imported package perl-CGI-Application

